Bug 209366 - Traceback: yum makecache errors with a traceback
Traceback: yum makecache errors with a traceback
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: yum-rhn-plugin (Show other bugs)
5.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: John Matthews
Red Hat Satellite QA List
:
Depends On:
Blocks: 195503
  Show dependency treegraph
 
Reported: 2006-10-04 17:04 EDT by Pradeep Kilambi
Modified: 2013-01-10 05:11 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-20 19:49:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pradeep Kilambi 2006-10-04 17:04:06 EDT
Description of problem:
when we run yum makecache it errors with a traceback. This happens when we
enable the rhnplugin and run makecache.

Version-Release number of selected component (if applicable):


How reproducible:

always

Steps to Reproduce:
1. register a yum client to a 4.9.0 sat.
2. remove any cached versions on sat in /var/cache/rhn/
3. on client run:

- turn on the rhnplugin in /etc/yum/pluginconf.d/rhnplugin.conf

$ yum clean all
Loading "rhnplugin" plugin
Loading "installonlyn" plugin
Cleaning up Everything
$ yum makecache
Loading "rhnplugin" plugin
Loading "installonlyn" plugin
Setting up repositories
Cluster                   100% |=========================| 1.1 kB    00:00
ClusterStorage            100% |=========================| 1.1 kB    00:00
VT                        100% |=========================| 1.1 kB    00:00
rhel-i386-server-5-beta   100% |=========================|  951 B    00:00
Server                    100% |=========================| 1.1 kB    00:00
primary.xml.gz            100% |=========================| 4.0 kB    00:00
################################################## 9/9
primary.xml.gz            100% |=========================| 2.2 kB    00:00
################################################## 5/5
primary.xml.gz            100% |=========================| 8.2 kB    00:00
################################################## 4/4
primary.xml.gz            100% |=========================| 507 kB    00:00
################################################## 1988/1988
primary.xml.gz            100% |=========================| 690 kB    00:00
################################################## 2021/2021
filelists.xml.gz          100% |=========================|  92 kB    00:00
################################################## 9/9
filelists.xml.gz          100% |=========================|  854 B    00:00
################################################## 5/5
filelists.xml.gz          100% |=========================|  12 kB    00:00
################################################## 4/4
filelists.xml.gz          100% |=========================|   20 B    00:00

(process:18843): GLib-WARNING **: GError set over the top of a previous GError
or uninitialized memory.
This indicates a bug in someone's code. You must ensure an error is NULL before
it's set.
The overwriting error message was: Parsing filelists.xml error: Start tag
expected, '<' not found

Traceback (most recent call last):
  File "/usr/bin/yum", line 29, in ?
    yummain.main(sys.argv[1:])
  File "/usr/share/yum-cli/yummain.py", line 102, in main
    result, resultmsgs = do()
  File "/usr/share/yum-cli/cli.py", line 359, in doCommands
    return self.yum_cli_commands[self.basecmd].doCommand(self, self.basecmd,
self.extcmds)
  File "/usr/share/yum-cli/yumcommands.py", line 276, in doCommand
    base.repos.populateSack(with='filelists', cacheonly=1)
  File "/usr/lib/python2.4/site-packages/yum/repos.py", line 204, in populateSack
    sack.populate(repo, with, callback, cacheonly)
  File "/usr/lib/python2.4/site-packages/yum/yumRepo.py", line 99, in populate
    dobj = repo.cacheHandler.getFilelists(xml, csum)
  File "/usr/lib/python2.4/site-packages/sqlitecachec.py", line 39, in getFilelists
    self.callback))
TypeError: Parsing filelists.xml error: Document is empty

 
Actual results:
Traceback. see ^^^^^

Expected results:
should successfully generate metadata cache

Additional info:

Note You need to log in before you can comment on or make changes to this bug.